My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Typedefs Groups Pages
Public Member Functions | List of all members
NexScrolltext Class Reference
Nextion Component

`#include <NexScrolltext.h>`

Inheritance diagram for NexScrolltext:

## Public Member Functions
| NexScrolltext (uint8_t pid, uint8_t cid, const char *name)
uint16_t | getText (char *buffer, uint16_t len)
bool | setText (const char *buffer)
uint32_t | Get_background_color_bco (uint32_t *number)
bool | Set_background_color_bco (uint32_t number)
uint32_t | Get_font_color_pco (uint32_t *number)
bool | Set_font_color_pco (uint32_t number)
uint32_t | Get_place_xcen (uint32_t *number)
bool | Set_place_xcen (uint32_t number)
uint32_t | Get_place_ycen (uint32_t *number)
bool | Set_place_ycen (uint32_t number)
uint32_t | getFont (uint32_t *number)
bool | setFont (uint32_t number)
uint32_t | Get_background_crop_picc (uint32_t *number)
bool | Set_background_crop_picc (uint32_t number)
uint32_t | Get_background_image_pic (uint32_t *number)
bool | Set_background_image_pic (uint32_t number)
uint32_t | Get_scroll_dir (uint32_t *number)
bool | Set_scroll_dir (uint32_t number)
uint32_t | Get_scroll_distance (uint32_t *number)
bool | Set_scroll_distance (uint32_t number)
uint32_t | Get_cycle_tim (uint32_t *number)
bool | Set_cycle_tim (uint32_t number)
bool | enable (void)
bool | disable (void)
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
void | detachPush (void)
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
void | detachPop (void)
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
void | printObjInfo (void)

## Additional Inherited Members
Static Public Member Functions inherited from NexTouch
static void | iterate (NexTouch **list, uint8_t pid, uint8_t cid, int32_t event)
Protected Member Functions inherited from NexObject
uint8_t | getObjPid (void)
uint8_t | getObjCid (void)
const char * | getObjName (void)

## Detailed Description

NexText component.

## Constructor & Destructor Documentation

NexScrolltext::NexScrolltext | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

## Member Function Documentation

uint32_t NexScrolltext::Get_background_color_bco | ( | uint32_t * | number | ) |

Get bco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::Get_background_crop_picc | ( | uint32_t * | number | ) |

Get picc attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::Get_background_image_pic | ( | uint32_t * | number | ) |

Get pic attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::Get_cycle_tim | ( | uint32_t * | number | ) |

Get tim attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::Get_font_color_pco | ( | uint32_t * | number | ) |

Get pco attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::Get_place_xcen | ( | uint32_t * | number | ) |

Get xcen attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::Get_place_ycen | ( | uint32_t * | number | ) |

Get ycen attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::Get_scroll_dir | ( | uint32_t * | number | ) |

Get dir attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::Get_scroll_distance | ( | uint32_t * | number | ) |

Get dis attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint32_t NexScrolltext::getFont | ( | uint32_t * | number | ) |

Get font attribute of component

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

uint16_t NexScrolltext::getText | ( | char * | buffer,
|  | uint16_t | len
| ) |  |

Get text attribute of component.

Parameters

  buffer | - buffer storing text returned.
  len | - length of buffer.

Returns
  The real length of text returned.

bool NexScrolltext::Set_background_color_bco | ( | uint32_t | number | ) |

Set bco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::Set_background_crop_picc | ( | uint32_t | number | ) |

Set picc attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::Set_background_image_pic | ( | uint32_t | number | ) |

Set pic attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::Set_cycle_tim | ( | uint32_t | number | ) |

Set tim attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::Set_font_color_pco | ( | uint32_t | number | ) |

Set pco attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::Set_place_xcen | ( | uint32_t | number | ) |

Set xcen attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::Set_place_ycen | ( | uint32_t | number | ) |

Set ycen attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::Set_scroll_dir | ( | uint32_t | number | ) |

Set dir attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::Set_scroll_distance | ( | uint32_t | number | ) |

Set dis attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::setFont | ( | uint32_t | number | ) |

Set font attribute of component

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

bool NexScrolltext::setText | ( | const char * | buffer | ) |

Set text attribute of component.

Parameters

  buffer | - text buffer terminated with '\0'.

Returns
  true if success, false for failure.

The documentation for this class was generated from the following files:

- NexScrolltext.h
- NexScrolltext.cpp